Bug 1007283 - mountstats command could not process the argument /mountpoint/
mountstats command could not process the argument /mountpoint/
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.10
All Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On: 1007281 1007287 1198596 1215808
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 04:50 EDT by Yin.JianHong
Modified: 2016-02-11 11:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1007281
Environment:
Last Closed: 2014-02-05 17:16:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-09-12 04:50:08 EDT
+++ This bug was initially created as a clone of Bug #1007281 +++

Description of problem:
mountstats command could not process the  argument /mountpoint/
mountstats  /mountpoint   work fine
mountstats  /mountpoint/  can not work

Version-Release number of selected component (if applicable):
all RHEL5.9,10 RHEL6.4,5 RHEL7.0

How reproducible:
100%

Steps to Reproduce:
1. mountstats  /mountpoint/
2.
3.

Actual results:
[root@dhcp-13-188 ~]# mountstats  /media/
Statistics for mount point /media/ not found
[root@dhcp-13-188 ~]# mountstats  /media
Stats for 127.0.0.1:/tmp/ mounted on /media:
  NFS mount options: rw,vers=4,rsize=131072,wsize=131072,namlen=255,acregmin=3,acregmax=60,acdirmin=30,acdirmax=60,hard,proto=tcp,port=0,timeo=600,retrans=2,sec=sys,clientaddr=127.0.0.1,minorversion=0,local_lock=none
  NFS server capabilities: caps=0xffff,wtmult=512,dtsize=32768,bsize=0,namlen=255
  NFSv4 capability flags: bm0=0xfdffbfff,bm1=0xf9be3e,acl=0x3
  NFS security flavor: 1  pseudoflavor: 0

NFS byte counts:
  applications read 0 bytes via read(2)
  applications wrote 0 bytes via write(2)
  applications read 0 bytes via O_DIRECT read(2)
  applications wrote 0 bytes via O_DIRECT write(2)
  client read 0 bytes via NFS READ
  client wrote 0 bytes via NFS WRITE

RPC statistics:
  18 RPC requests sent, 18 RPC replies received (0 XIDs not found)
  average backlog queue length: 0

FSINFO:
        1 ops (5%)      0 retrans (0%)  0 major timeouts
        avg bytes sent per op: 160      avg bytes received per op: 108
        backlog wait: 0.000000  RTT: 0.000000   total execute time: 0.000000 (milliseconds)
GETATTR:
        2 ops (11%)     0 retrans (0%)  0 major timeouts
        avg bytes sent per op: 160      avg bytes received per op: 220
        backlog wait: 0.000000  RTT: 1.000000   total execute time: 2.500000 (milliseconds)
PATHCONF:
        1 ops (5%)      0 retrans (0%)  0 major timeouts
        avg bytes sent per op: 156      avg bytes received per op: 72
        backlog wait: 0.000000  RTT: 0.000000   total execute time: 0.000000 (milliseconds)
SERVER_CAPS:
        2 ops (11%)     0 retrans (0%)  0 major timeouts
        avg bytes sent per op: 156      avg bytes received per op: 88
        backlog wait: 0.000000  RTT: 0.000000   total execute time: 0.000000 (milliseconds)

Expected results:
mountstats  /mountpoint/  can work too, same as mountstats  /mountpoint

Additional info:
Comment 1 RHEL Product and Program Management 2014-01-29 05:34:17 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 RHEL Product and Program Management 2014-02-05 17:16:44 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.